# Class MenuEvent

java.lang.Object
java.util.EventObject
org.eclipse.swt.events.TypedEvent
org.eclipse.swt.events.MenuEvent

All Implemented Interfaces:
  `Serializable`

public final class MenuEvent extends TypedEvent
Instances of this class are sent as a result of menus being shown and hidden.

See Also:
  - `MenuListener`
  - Sample code and further information
  - Serialized Form

## Field Summary

### Fields inherited from class TypedEvent

`data, display, time, widget`

### Fields inherited from class EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`MenuEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.

## Method Summary

### Methods inherited from class TypedEvent

`toString`

### Methods inherited from class EventObject

`getSource`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MenuEvent

public MenuEvent(Event e)
Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `e` - the untyped event containing the information